SystemOrganization addCategory: #ConfigurationOfGTPlaygroundCore!

Object subclass: #ConfigurationOfGTPlaygroundCore
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTPlaygroundCore'!

!ConfigurationOfGTPlaygroundCore commentStamp: 'AndreiChis 10/29/2014 12:02' prior: 0!
Core configuration of GTPlayground for integrating with Pharo.

self loadDevelopment!

!ConfigurationOfGTPlaygroundCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:42'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'metacello tool support' stamp: 'AndreiChis 10/29/2014 11:42'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
project

	^self new project! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:42'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'baselines' stamp: 'AndreiChis 10/29/2014 11:57'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
	spec blessing: #'baseline'.
	spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
	
	spec package: 'GT-Playground' with: [
			spec requires: #('GTInspectorCore' ). ].
		
	spec project: 'GTInspectorCore' with: [
			spec
				className: #ConfigurationOfGTInspectorCore;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
	
	spec group: 'default' with: #('GT-Playground' ) ].! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'symbolic versions' stamp: 'AndreiChis 10/29/2014 11:57'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.0-baseline'.
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'symbolic versions' stamp: 'AndreiChis 12/10/2014 14:02'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.0.5'.
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/5/2014 19:22'!
version200: spec
	<version: '2.0.0' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/29/2014 16:54'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.48'.
		spec project: 'GTInspectorCore' with: '2.0.0'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/13/2014 13:55'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/13/2014 13:54'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.49'.
		spec project: 'GTInspectorCore' with: '2.0.1'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/14/2014 11:48'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/14/2014 11:48'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.49'.
		spec project: 'GTInspectorCore' with: '2.0.2'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/7/2014 14:00'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/07/2014 13:48'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.52'.
		spec project: 'GTInspectorCore' with: '2.0.3'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/9/2014 12:11'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/09/2014 12:08'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.52'.
		spec project: 'GTInspectorCore' with: '2.0.4'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/10/2014 14:02'!
version205: spec
	<version: '2.0.5' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/10/2014 13:38'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.53'.
		spec project: 'GTInspectorCore' with: '2.0.5'. ]
! !
